.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: #000;
  z-index: 4;

  &-wrap {
    width: 100%;
    height: 100%;
    padding: 40px;
    display: flex;
  }

  &-block {
    color: #fff;
    margin: auto;
  }

  &-string {
    @include respond-min('tablet') {
      display: flex;
      align-items: center;
    }

    &__text {
      display: flex;
      align-items: center;

      @include respond-max('tablet') {
        flex-wrap: wrap;
        position: fixed;
        justify-content: center;
        top: calc(50vh + 50px);
        left: 18px;
        right: 18px;
      }
    }

    img {
      width: 300px;
      @include respond-max('tablet') {
        position: fixed;
        top: 50vh;
        left: 50%;
        transform: translateX(-50%);
        width: 250px;
      }
    }
  }

  &-hide {
    width: 0;
    overflow: hidden;
    font-size: 22px;
    line-height: 28px;
    font-family: 'Roboto', sans-serif;
    text-transform: lowercase;
    margin-top: 5px;
    transform: translateY(50%);
    transition-delay: 0.3s;
    transition-duration: 0.5s;
    @include respond-max('tablet') {
      width: auto;
    }

    &.is-show {
      transform: translateY(0);

      span {
        opacity: 1;
      }
    }

    @include respond-max('mobile') {
      font-size: 18px;
      line-height: 24px;
      margin-top: 0;
    }
  }

  &-title {
    font-size: 46px;
    line-height: 50px;
    font-family: 'optima';
    opacity: 0;
    transform: translateY(16px);
    transition: 0.5s ease-out;

    &.is-show {
      opacity: 1;
      transform: translateY(0);
    }
  }

  span {
    opacity: 0;
    transition-duration: 0.5s;
    transition-delay: 0.5s;

    &::before,
    &::after {
      content: '\00A0';
    }
  }
}
